API referenceSubscriptions
List subscriptions
AuthorizationBearer <token>
API key from Settings → API keys
In: header
Path Parameters
storeId*string
Query Parameters
status?string
Default
"all"Value in
- "all"
- "active"
- "trialing"
- "past_due"
- "cancelled"
- "expired"
- "pending"
- "ending"
q?string
Length
length <= 200customerId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidproductId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidrenewalMethod?string
Value in
- "auto"
- "manual"
sort?string
Default
"created"Value in
- "created"
- "renews"
page?integer
Range
1 <= value <= 9007199254740991Default
1perPage?integer
Range
1 <= value <= 200Default
20Response Body
application/json
application/json
curl -X GET "https://example.com/v1/stores/string/subscriptions"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "env": "live", "status": "pending", "email": "string", "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113", "variantId": "d53feca7-c65b-4741-aca7-827a42d686bf", "productName": "string", "variantName": "string", "qty": -9007199254740991, "currency": "string", "unitPriceMinor": -9007199254740991, "recurringMinor": -9007199254740991, "interval": "day", "intervalCount": -9007199254740991, "intervalLabel": "string", "trialDays": -9007199254740991, "trialEndsAt": "string", "renewalDelivery": "redeliver", "renewalMethod": "auto", "paymentMethod": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "label": "string", "provider": "string" }, "savedMethodLabel": "string", "cancelAtPeriodEnd": true, "cancelReason": "string", "cancelledBy": "string", "startedAt": "string", "currentPeriodStart": "string", "currentPeriodEnd": "string", "cyclesCompleted": -9007199254740991, "pastDueSince": "string", "retryCount": -9007199254740991, "nextRetryAt": "string", "endedAt": "string", "endedReason": "string", "initialOrderId": "71d1eb9e-8566-409b-919b-3de263dfa61a", "testDeclineNext": true, "createdAt": "string" } ], "pagination": { "page": -9007199254740991, "perPage": -9007199254740991, "total": -9007199254740991 }, "counts": { "property1": -9007199254740991, "property2": -9007199254740991 }}